package com.dsk.cscec.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dsk.cscec.domain.DCustomer;
import com.dsk.cscec.domain.bo.DCustomerSearchBo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 组织维表(DCustomer)表数据库访问层
 *
 * @author lcl
 * @since 2023-12-08 14:57:27
 */
public interface DCustomerMapper extends BaseMapper<DCustomer> {

    Page<DCustomer> allSearchList(IPage<DCustomerSearchBo> build, @Param("bo") DCustomerSearchBo bo);

}

