package com.dsk.cscec.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dsk.common.core.domain.PageQuery;
import com.dsk.common.core.page.TableDataInfo;
import com.dsk.cscec.domain.bo.DCustomerSearchBo;
import com.dsk.cscec.mapper.DCustomerMapper;
import com.dsk.cscec.domain.DCustomer;
import com.dsk.cscec.service.IDCustomerService;
import org.springframework.stereotype.Service;

/**
 * 组织维表(DCustomer)表服务实现类
 *
 * @author lcl
 * @since 2023-12-08 14:57:26
 */
@Service
public class DCustomerServiceImpl extends ServiceImpl<DCustomerMapper, DCustomer> implements IDCustomerService {

    @Override
    public TableDataInfo<DCustomer> allSearchList(DCustomerSearchBo bo, PageQuery query) {
        return TableDataInfo.build(baseMapper.allSearchList(query.build(),bo));
    }
}

